Bug 1006528 - Missing dependency packages cause install failure of RHS 2.1 Server, over the network from RH Satellite server
Missing dependency packages cause install failure of RHS 2.1 Server, over the...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
2.1
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Sayan Saha
Rejy M Cyriac
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 14:38 EDT by Rejy M Cyriac
Modified: 2013-09-23 18:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 18:29:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-09-10 14:38:18 EDT
Description of problem:
Installation of RHS 2.1 Server over the network, from RH Satellite server fails, due to the following dependency packages missing from the RHS 2.1 channels.

python-eventlet
iperf
pyxattr
python-greenlet
python-netifaces

A run of 'yum install redhat-storage-server' (the pull-rope package to install RHS 2.1), on a system registered to RH Satellite server, shows the following error.
-------------------------------------------
Error: Package: gluster-swift-1.8.0-6.11.el6rhs.noarch (rhel-x86_64-server-6-rhs-2.1)
           Requires: python-eventlet >= 0.9.8
Error: Package: redhat-storage-server-2.1.0.3-1.el6rhs.noarch (rhel-x86_64-server-6-rhs-2.1)
           Requires: iperf
Error: Package: gluster-swift-1.8.0-6.11.el6rhs.noarch (rhel-x86_64-server-6-rhs-2.1)
           Requires: pyxattr
Error: Package: gluster-swift-1.8.0-6.11.el6rhs.noarch (rhel-x86_64-server-6-rhs-2.1)
           Requires: python-greenlet >= 0.3.1
Error: Package: gluster-swift-1.8.0-6.11.el6rhs.noarch (rhel-x86_64-server-6-rhs-2.1)
           Requires: python-netifaces
-------------------------------------------

A query on the channels on RH Satellite server show that the packages are missing.
-------------------------------------------
# yum list --showduplicates python-eventlet iperf pyxattr python-greenlet python-netifaces
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Error: No matching Packages to list
-------------------------------------------

On exploring an RHS 2.1 Server registered to RHN QA instance, it was seen that the missing packages are available on ISO, and thereby installed in the system, but are missing from the RHS 2.1 channels.
-------------------------------------------
# grep -i 'serverurl=' /etc/sysconfig/rhn/up2date 
serverURL=https://xmlrpc.rhn.qa.redhat.com/XMLRPC

# rhn-channel -l
rhel-x86_64-server-6-rhs-2.1
rhel-x86_64-server-6.4.z
rhel-x86_64-server-sfs-6.4.z

# rpm -q python-eventlet iperf pyxattr python-greenlet python-netifaces
python-eventlet-0.9.16-5.el6_rhs2.0.noarch
iperf-2.0.4-3.el6.x86_64
pyxattr-0.5.0-1.el6.x86_64
python-greenlet-0.3.1-6.el6_rhs2.0.x86_64
python-netifaces-0.5-1.el6.x86_64
 
# yum list --showduplicates python-eventlet iperf pyxattr python-greenlet python-netifaces
Loaded plugins: aliases, changelog, downloadonly, fastestmirror, filter-data, keys, list-data, merge-conf, priorities, product-id, protectbase, rhnplugin, security, subscription-manager, tmprepo, tsflags,
              : upgrade-helper, verify, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Loading mirror speeds from cached hostfile
0 packages excluded due to repository protections
Installed Packages
iperf.x86_64                                                                      2.0.4-3.el6                                                                    @anaconda-InstallationRepo-201309062017.x86_64/2.1
python-eventlet.noarch                                                            0.9.16-5.el6_rhs2.0                                                            @anaconda-InstallationRepo-201309062017.x86_64/2.1
python-greenlet.x86_64                                                            0.3.1-6.el6_rhs2.0                                                             @anaconda-InstallationRepo-201309062017.x86_64/2.1
python-netifaces.x86_64                                                           0.5-1.el6                                                                      @anaconda-InstallationRepo-201309062017.x86_64/2.1
pyxattr.x86_64                                                                    0.5.0-1.el6                                                                    @anaconda-InstallationRepo-201309062017.x86_64/2.1
-------------------------------------------

The packages were imported from the latest ISO to the system registered to RH Satellite server, and locally installed. Thereafter, the install of the 'pull-rope' package, 'redhat-storage-server', proceeds successfully. So it appears that these 5 missing packages are the only blocks to a successful RHS 2.1 install from RH Satellite Server.
-------------------------------------------
# ls
iperf-2.0.4-3.el6.x86_64.rpm  python-eventlet-0.9.16-5.el6_rhs2.0.noarch.rpm  python-greenlet-0.3.1-6.el6_rhs2.0.x86_64.rpm  python-netifaces-0.5-1.el6.x86_64.rpm  pyxattr-0.5.0-1.el6.x86_64.rpm

# yum localinstall *.rpm
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Local Package Process
Examining iperf-2.0.4-3.el6.x86_64.rpm: iperf-2.0.4-3.el6.x86_64
Marking iperf-2.0.4-3.el6.x86_64.rpm to be installed
Examining python-eventlet-0.9.16-5.el6_rhs2.0.noarch.rpm: python-eventlet-0.9.16-5.el6_rhs2.0.noarch
Marking python-eventlet-0.9.16-5.el6_rhs2.0.noarch.rpm to be installed
Examining python-greenlet-0.3.1-6.el6_rhs2.0.x86_64.rpm: python-greenlet-0.3.1-6.el6_rhs2.0.x86_64
Marking python-greenlet-0.3.1-6.el6_rhs2.0.x86_64.rpm to be installed
Examining python-netifaces-0.5-1.el6.x86_64.rpm: python-netifaces-0.5-1.el6.x86_64
Marking python-netifaces-0.5-1.el6.x86_64.rpm to be installed
Examining pyxattr-0.5.0-1.el6.x86_64.rpm: pyxattr-0.5.0-1.el6.x86_64
Marking pyxattr-0.5.0-1.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package iperf.x86_64 0:2.0.4-3.el6 will be installed
---> Package python-eventlet.noarch 0:0.9.16-5.el6_rhs2.0 will be installed
---> Package python-greenlet.x86_64 0:0.3.1-6.el6_rhs2.0 will be installed
---> Package python-netifaces.x86_64 0:0.5-1.el6 will be installed
---> Package pyxattr.x86_64 0:0.5.0-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================
 Package                                       Arch                                Version                                          Repository                                                                Size
===================================================================================================================================================================================================================
Installing:
 iperf                                         x86_64                              2.0.4-3.el6                                      /iperf-2.0.4-3.el6.x86_64                                                114 k
 python-eventlet                               noarch                              0.9.16-5.el6_rhs2.0                              /python-eventlet-0.9.16-5.el6_rhs2.0.noarch                              1.1 M
 python-greenlet                               x86_64                              0.3.1-6.el6_rhs2.0                               /python-greenlet-0.3.1-6.el6_rhs2.0.x86_64                                45 k
 python-netifaces                              x86_64                              0.5-1.el6                                        /python-netifaces-0.5-1.el6.x86_64                                        17 k
 pyxattr                                       x86_64                              0.5.0-1.el6                                      /pyxattr-0.5.0-1.el6.x86_64                                               54 k

Transaction Summary
===================================================================================================================================================================================================================
Install       5 Package(s)

Total size: 1.3 M
Installed size: 1.3 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : python-greenlet-0.3.1-6.el6_rhs2.0.x86_64                                                                                                                                                       1/5 
  Installing : python-eventlet-0.9.16-5.el6_rhs2.0.noarch                                                                                                                                                      2/5 
  Installing : python-netifaces-0.5-1.el6.x86_64                                                                                                                                                               3/5 
  Installing : pyxattr-0.5.0-1.el6.x86_64                                                                                                                                                                      4/5 
  Installing : iperf-2.0.4-3.el6.x86_64                                                                                                                                                                        5/5 
  Verifying  : iperf-2.0.4-3.el6.x86_64                                                                                                                                                                        1/5 
  Verifying  : python-eventlet-0.9.16-5.el6_rhs2.0.noarch                                                                                                                                                      2/5 
  Verifying  : python-greenlet-0.3.1-6.el6_rhs2.0.x86_64                                                                                                                                                       3/5 
  Verifying  : pyxattr-0.5.0-1.el6.x86_64                                                                                                                                                                      4/5 
  Verifying  : python-netifaces-0.5-1.el6.x86_64                                                                                                                                                               5/5 

Installed:
  iperf.x86_64 0:2.0.4-3.el6      python-eventlet.noarch 0:0.9.16-5.el6_rhs2.0      python-greenlet.x86_64 0:0.3.1-6.el6_rhs2.0      python-netifaces.x86_64 0:0.5-1.el6      pyxattr.x86_64 0:0.5.0-1.el6     

Complete!
# 

# yum install redhat-storage-server
....
Installed:
  redhat-storage-server.noarch 0:2.1.0.3-1.el6rhs                                                                                                                                                                  

Dependency Installed:
  audit-libs-python.x86_64 0:2.2-2.el6                               augeas.x86_64 0:0.9.0-4.el6                                             augeas-libs.x86_64 0:0.9.0-4.el6                                      
  celt051.x86_64 0:0.5.1.3-0.el6                                     ctdb.x86_64 0:1.0.114.6-1.el6rhs                                        cvs.x86_64 0:1.11.23-15.el6                                           
  cyrus-sasl-md5.x86_64 0:2.1.23-13.el6_3.1                          device-mapper-multipath.x86_64 0:0.4.9-64.el6_4.1                       device-mapper-multipath-libs.x86_64 0:0.4.9-64.el6_4.1                
  dnsmasq.x86_64 0:2.48-13.el6                                       dstat.noarch 0:0.7.0-1.el6                                              ebtables.x86_64 0:2.0.9-6.el6                                         
  fence-agents.x86_64 0:3.1.5-25.el6_4.2                             flac.x86_64 0:1.2.1-6.1.el6                                             genisoimage.x86_64 0:1.1.9-12.el6                                     
  gettext.x86_64 0:0.17-16.el6                                       gluster-swift.noarch 0:1.8.0-6.11.el6rhs                                gluster-swift-account.noarch 0:1.8.0-6.11.el6rhs                      
  gluster-swift-container.noarch 0:1.8.0-6.11.el6rhs                 gluster-swift-object.noarch 0:1.8.0-6.11.el6rhs                         gluster-swift-plugin.noarch 0:1.8.0-6.el6rhs                          
  gluster-swift-proxy.noarch 0:1.8.0-6.11.el6rhs                     glusterfs.x86_64 0:3.4.0.32rhs-1.el6rhs                                 glusterfs-api.x86_64 0:3.4.0.32rhs-1.el6rhs                           
  glusterfs-fuse.x86_64 0:3.4.0.32rhs-1.el6rhs                       glusterfs-geo-replication.x86_64 0:3.4.0.32rhs-1.el6rhs                 glusterfs-libs.x86_64 0:3.4.0.32rhs-1.el6rhs                          
  glusterfs-rdma.x86_64 0:3.4.0.32rhs-1.el6rhs                       glusterfs-server.x86_64 0:3.4.0.32rhs-1.el6rhs                          gnutls-utils.x86_64 0:2.8.5-10.el6_4.2                                
  gpxe-roms-qemu.noarch 0:0.9.7-6.9.el6                              ipmitool.x86_64 0:1.8.11-14.el6_4.1                                     iscsi-initiator-utils.x86_64 0:6.2.0.873-2.el6                        
  keyutils.x86_64 0:1.4-4.el6                                        ldb-tools.x86_64 0:1.1.13-3.el6                                         libICE.x86_64 0:1.0.6-1.el6                                           
  libSM.x86_64 0:1.2.1-2.el6                                         libXtst.x86_64 0:1.2.1-2.el6                                            libasyncns.x86_64 0:0.8-1.1.el6                                       
  libcgroup.x86_64 0:0.37-7.2.el6_4                                  libevent.x86_64 0:1.4.13-4.el6                                          libgomp.x86_64 0:4.4.7-3.el6                                          
  libgssglue.x86_64 0:0.1-11.el6                                     libibverbs.x86_64 0:1.1.6-5.el6                                         libldb.x86_64 0:1.1.13-3.el6                                          
  libogg.x86_64 2:1.1.4-2.1.el6                                      libselinux-python.x86_64 0:2.0.94-5.3.el6_4.1                           libsemanage-python.x86_64 0:2.0.43-4.2.el6                            
  libsndfile.x86_64 0:1.0.20-5.el6                                   libtalloc.x86_64 0:2.0.7-2.el6                                          libtdb.x86_64 0:1.2.10-1.el6                                          
  libtevent.x86_64 0:0.9.18-2.el6                                    libtirpc.x86_64 0:0.2.1-6.el6_4                                         libvirt.x86_64 0:0.10.2-18.el6_4.9                                    
  libvirt-client.x86_64 0:0.10.2-18.el6_4.9                          libvirt-lock-sanlock.x86_64 0:0.10.2-18.el6_4.9                         libvirt-python.x86_64 0:0.10.2-18.el6_4.9                             
  libvorbis.x86_64 1:1.2.3-4.el6_2.1                                 libxslt.x86_64 0:1.1.26-2.el6_3.1                                       lm_sensors-libs.x86_64 0:3.1.1-17.el6                                 
  lzo.x86_64 0:2.03-3.1.el6                                          lzop.x86_64 0:1.02-0.9.rc1.el6                                          make.x86_64 1:3.81-20.el6                                             
  memcached.x86_64 0:1.4.4-3.el6                                     nc.x86_64 0:1.84-22.el6                                                 net-snmp-libs.x86_64 1:5.5-44.el6_4.4                                 
  net-snmp-utils.x86_64 1:5.5-44.el6_4.4                             netcf-libs.x86_64 0:0.1.9-3.el6                                         nfs-utils.x86_64 1:1.2.3-36.el6                                       
  nfs-utils-lib.x86_64 0:1.1.5-6.el6                                 nmap.x86_64 2:5.51-2.el6                                                numad.x86_64 0:0.5-8.20121015git.el6                                  
  perl-Net-Telnet.noarch 0:3.03-11.el6                               pexpect.noarch 0:2.3-6.el6                                              policycoreutils-python.x86_64 0:2.0.83-19.30.el6                      
  pulseaudio-libs.x86_64 0:0.9.21-14.el6_3                           pyparted.x86_64 0:3.4-3.el6                                             python-configobj.noarch 0:4.6.0-3.el6                                 
  python-decorator.noarch 0:3.0.1-3.1.el6                            python-magic.x86_64 0:5.04-15.el6                                       python-paste.noarch 0:1.7.4-2.el6                                     
  python-paste-deploy1.5.noarch 0:1.5.0-5.el6                        python-setuptools.noarch 0:0.6.10-3.el6                                 python-suds.noarch 0:0.4.1-3.el6                                      
  qemu-img.x86_64 2:0.12.1.2-2.355.el6_4.6                           qemu-kvm.x86_64 2:0.12.1.2-2.355.el6_4.6                                qemu-kvm-tools.x86_64 2:0.12.1.2-2.355.el6_4.6                        
  radvd.x86_64 0:1.6-1.el6                                           rpcbind.x86_64 0:0.2.0-11.el6                                           samba.x86_64 0:3.6.9-160.3.el6rhs                                     
  samba-client.x86_64 0:3.6.9-160.3.el6rhs                           samba-common.x86_64 0:3.6.9-160.3.el6rhs                                samba-glusterfs.x86_64 0:3.6.9-160.3.el6rhs                           
  samba-winbind.x86_64 0:3.6.9-160.3.el6rhs                          samba-winbind-clients.x86_64 0:3.6.9-160.3.el6rhs                       sanlock.x86_64 0:2.6-2.el6                                            
  sanlock-lib.x86_64 0:2.6-2.el6                                     sanlock-python.x86_64 0:2.6-2.el6                                       screen.x86_64 0:4.0.3-16.el6                                          
  seabios.x86_64 0:0.6.1.2-26.el6                                    setools-libs.x86_64 0:3.3.7-4.el6                                       setools-libs-python.x86_64 0:3.3.7-4.el6                              
  sg3_utils.x86_64 0:1.28-4.el6                                      sgabios-bin.noarch 0:0-0.3.20110621svn.el6                              spice-server.x86_64 0:0.12.0-12.el6_4.2                               
  tdb-tools.x86_64 0:1.2.10-1.el6                                    telnet.x86_64 1:0.17-47.el6_3.1                                         tree.x86_64 0:1.5.3-2.el6                                             
  tuned.noarch 0:0.2.19-11.el6.1                                     usbredir.x86_64 0:0.5.1-1.el6                                           valgrind.x86_64 1:3.8.1-3.2.el6                                       
  vdsm.x86_64 0:4.10.2-23.0.1.el6rhs                                 vdsm-cli.noarch 0:4.10.2-23.0.1.el6rhs                                  vdsm-gluster.noarch 0:4.10.2-23.0.1.el6rhs                            
  vdsm-python.x86_64 0:4.10.2-23.0.1.el6rhs                          vdsm-reg.noarch 0:4.10.2-23.0.1.el6rhs                                  vdsm-xmlrpc.noarch 0:4.10.2-23.0.1.el6rhs                             
  vgabios.noarch 0:0.6b-3.7.el6                                      xfsdump.x86_64 0:3.0.4-3.el6                                            xfsprogs.x86_64 0:3.1.1-10.el6_4.1                                    
  yajl.x86_64 0:1.0.7-3.el6                                         

Complete!
-------------------------------------------



Version-Release number of selected component (if applicable):
RHS 2.1

How reproducible:


Steps to Reproduce:
1.Sync RHS 2.1 channels to RH Satellite server
2.Kickstart install RHS 2.1 Server using the 'redhat-storage-server' package incorporated into an Activation Key


Actual results:
The RHS 2.1 Server install over the network, from RH Satellite Server fails, due to missing dependency packages in the RHS 2.1 channels.

Expected results:
The RHS 2.1 Server install over the network, from RH Satellite Server, should be successful.

Additional info:
The missing 5 dependency packages are available in the RHS 2.0 channel. The versions of all the 5 packages in the latest RHS 2.1 ISO are exactly the same as those available in the RHS 2.0 channel. In fact, two of the packages, python-eventlet-0.9.16-5.el6_rhs2.0.noarch and python-greenlet-0.3.1-6.el6_rhs2.0.x86_64 , retain even the rhs2.0 tag at the end.
Comment 2 Rejy M Cyriac 2013-09-11 07:23:52 EDT
Verified that the reported dependency issues are now fixed, and that the RHS 2.1 Server install over the network, from RH Satellite Server, is now successful.
Comment 3 Scott Haines 2013-09-23 18:29:50 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1262.html

Note You need to log in before you can comment on or make changes to this bug.